php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #56330 PDO package case inconsistencies
Submitted: 2005-02-25 17:26 UTC Modified: 2005-02-25 19:56 UTC
From: gmr dot pear at gmail dot com Assigned:
Status: Not a bug Package: PECL bug system (PECL)
PHP Version: 5.0.3 OS: Any
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: gmr dot pear at gmail dot com
New email:
PHP Version: OS:

 

 [2005-02-25 17:26 UTC] gmr dot pear at gmail dot com
Description:
------------
The package for PDO-beta has PDO as "PDO" and the packages for PDO_{database type} require "pdo" so they are failing on the pear install.  

Reproduce code:
---------------
gentoo dev-php # pear help version
PEAR Version: 1.3.5
PHP Version: 5.0.3
Zend Engine Version: 2.0.3
Running on: Linux gentoo 2.6.10-gentoo-r6 #1 SMP Thu Jan 20 22:19:58
PST 2005 i686

gentoo dev-php # pear install pdo-beta
...
Build process completed successfully
Installing '/var/tmp/pear-build-root/install-PDO-0.2.4//usr/lib/extensions/no-debug-non-zts-20041030/pdo.so'
Installing '/var/tmp/pear-build-root/install-PDO-0.2.4//usr/include/php/ext/pdo/php_pdo.h'
Installing '/var/tmp/pear-build-root/install-PDO-0.2.4//usr/include/php/ext/pdo/php_pdo_driver.h'
install ok: PDO 0.2.4

gentoo dev-php # pear install pdo_pgsql-beta
downloading PDO_PGSQL-0.2.tgz ...
Starting to download PDO_PGSQL-0.2.tgz (8,722 bytes)
.....done: 8,722 bytes
'pdo' PHP extension is not installed
PDO_PGSQL: Dependencies failed

gentoo dev-php # pear install pdo_mysql-beta
downloading PDO_MYSQL-0.2.tgz ...
Starting to download PDO_MYSQL-0.2.tgz (6,752 bytes)
.....done: 6,752 bytes
'pdo' PHP extension is not installed
PDO_MYSQL: Dependencies failed

gentoo dev-php # pear install pdo_sqlite-beta
downloading PDO_SQLITE-0.2.2.tgz ...
Starting to download PDO_SQLITE-0.2.2.tgz (744,807 bytes)
......................done: 744,807 bytes
'pdo' PHP extension is not installed
PDO_SQLITE: Dependencies failed

gentoo dev-php # pear install pdo_odbc-beta
downloading PDO_ODBC-0.2.tgz ...
Starting to download PDO_ODBC-0.2.tgz (10,970 bytes)
.....done: 10,970 bytes
'pdo' PHP extension is not installed
PDO_ODBC: Dependencies failed

Expected result:
----------------
PDO_{xyz} should install but is failing because they are looking for "pdo" and not "PDO".  This is not because I've not installed the pdo extension in php.ini. 


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2005-02-25 19:56 UTC] cellog@php.net
please open a bug at pecl.php.net for the PDO package
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Sat Dec 04 05:03:37 2021 UTC